Get Orders
Get all orders from FeedAMP for a seller, filtered by the provided query params
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
mp_order_numbers
Comma-delimited list of marketplace order numbers
fulfillment_status
Comma-delimited list of fulfillment statuses
- UNFULFILLED returns orders that are AWAITING_SHIPMENT with no fulfillments
- PARTIALLY_FULFILLED returns orders that are AWAITING_SHIPMENT and have at least one fulfillment
- COMPLETE returns orders that have all of their fulfillments, and have been marked SHIPPED or CANCELLED
Allowed values:
imported_after
Include orders imported on or after this date (format ISO 8601 default time zone is America/New_York)
seller_updated_after
Include orders updated by the seller on or after this date (format ISO 8601 default time zone is America/New_York)
has_errors
Include orders either with or without errors If not set, orders will be returned regardless of the presence/absence of errors
page_size
The number of orders per page to return
cursor
Cursor for the next page of orders
Response
Get Orders
orders
next_cursor
The cursor to get the next page of orders
Errors
400
Bad Request Error
401
Unauthorized Error